<?php

if (!defined('BOOTSTRAP')) { die('Access denied'); }

fn_register_hooks(
    'update_profile',
    'place_order',
    'change_order_status',
	'update_product_post',
	'update_product_amount',
	'pre_add_to_wishlist',
	'delete_wishlist_product',
	'save_cart_content_post',
	'newsletters_update_subscriptions_post',
	'get_products'
);

function createLogTable(){
    $query = "CREATE TABLE IF NOT EXISTS `routee_shop_logs` (
				  `id` bigint(20) NOT NULL AUTO_INCREMENT,
                  `store_url` varchar(256) NOT NULL,
				  `log_type` tinyint(4) NOT NULL COMMENT '0 for error, 1 for success',
				  `event_type` tinyint(4) NOT NULL COMMENT '1 = auth, 2 = mass data, 3 = events',
				  `log_data` json NOT NULL,
				  `is_exported` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0 for no, 1 for yes',
				  `created_at` varchar(32) NOT NULL,
				  PRIMARY KEY (id)
				) ENGINE=MyISAM DEFAULT CHARSET=latin1";

    db_query($query);
}

createLogTable();